cutlass::Fragment< Element_, kElements_, kAlignment_ > Struct Template Reference
Fragment Concept

A template defining Fragment Concept.

`#include <fragment.h>`

Inheritance diagram for cutlass::Fragment< Element_, kElements_, kAlignment_ >:

## Public Types

typedef Fragment< Element_, kElements_ > | This_
| Make sure the alignment makes sense wrt the size of elements. More...
typedef Element_ | Element
| The element. More...

## Public Member Functions

CUTLASS_DEVICE void | clear ()
| Clear a fragment. More...
CUTLASS_DEVICE Element & | operator[] (int i)
| The accessor. More...
CUTLASS_DEVICE Element const & | operator[] (int i) const
| The accessor. More...

## Static Public Attributes

static int const | kElements = kElements_
| The number of elements. More...

## Member Typedef Documentation

## Element

template<typename Element_ , int kElements_, size_t kAlignment_ = 16>

typedef Element_ cutlass::Fragment< Element_, kElements_, kAlignment_ >::Element

## This_

template<typename Element_ , int kElements_, size_t kAlignment_ = 16>

typedef Fragment<Element_, kElements_> cutlass::Fragment< Element_, kElements_, kAlignment_ >::This_

Alignment must be a power of two This class.

## Member Function Documentation

## clear()

template<typename Element_ , int kElements_, size_t kAlignment_ = 16>

CUTLASS_DEVICE void cutlass::Fragment< Element_, kElements_, kAlignment_ >::clear | ( |  | ) |

inline

## operator[]() [1/2]

template<typename Element_ , int kElements_, size_t kAlignment_ = 16>

CUTLASS_DEVICE Element& cutlass::Fragment< Element_, kElements_, kAlignment_ >::operator[] | ( | int | i | ) |

inline

## operator[]() [2/2]

template<typename Element_ , int kElements_, size_t kAlignment_ = 16>

CUTLASS_DEVICE Element const& cutlass::Fragment< Element_, kElements_, kAlignment_ >::operator[] | ( | int | i | ) | const

inline

## Member Data Documentation

## kElements

template<typename Element_ , int kElements_, size_t kAlignment_ = 16>

int const cutlass::Fragment< Element_, kElements_, kAlignment_ >::kElements = kElements_

static

The documentation for this struct was generated from the following file:

- fragment.h